Bug 755584 (CVE-2011-4326) - CVE-2011-4326 kernel: wrong headroom check in udp6_ufo_fragment()
Summary: CVE-2011-4326 kernel: wrong headroom check in udp6_ufo_fragment()
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-4326
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20110303,repo...
Depends On: 698170 753167 755589 755590 761341
Blocks: 755624
TreeView+ depends on / blocked
 
Reported: 2011-11-21 14:36 UTC by Petr Matousek
Modified: 2019-06-08 18:58 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-28 08:41:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1465 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-11-22 21:45:37 UTC
Red Hat Product Errata RHSA-2012:0010 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2012-01-11 01:14:23 UTC

Description Petr Matousek 2011-11-21 14:36:26 UTC
A bug was found in the way headroom check was performed in udp6_ufo_fragment() function. A remote attacker could use this flaw to crash the system.

Upstream patch:
a9cf73ea7ff78f52662c8658d93c226effbbedde

Comment 1 Petr Matousek 2011-11-21 14:37:24 UTC
Details (copied from 682066#c0):

The kernel panic occurs if a bridge device is connected with physical NIC and
UDP packets are transmitted via the bridge device.

The kernel panic occurs when all the following conditions consist:
- The kernel version is RHEL6(2.6.32-71.xx.el6).
- The NETIF_F_HW_CSUM of the physical device connected with the bridge device
is available.
- The udp-fragmentation-offload function of the bridge device is available(ON).
- The udp-fragmentation-offload function of the physical NIC is
unavailable(OFF).
- IPv6 protocol
- The size of the UDP datagram exceeds MTU. (fragmentation is necessary)

Comment 3 Petr Matousek 2011-11-21 14:41:30 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 755590]

Comment 5 Petr Matousek 2011-11-21 14:50:22 UTC
Statement:

This issue did not affect the versions of Linux kernel as shipped with Red Hat
Enterprise Linux 4 and 5 as they did not provide support for UDP Fragmentation Offload (UFO) functionality. This has been addressed in Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG via https://rhn.redhat.com/errata/RHSA-2011-1465.html, and https://rhn.redhat.com/errata/RHSA-2012-0010.html.

Comment 6 errata-xmlrpc 2011-11-22 16:53:44 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1465 https://rhn.redhat.com/errata/RHSA-2011-1465.html

Comment 7 Fedora Update System 2011-11-29 00:21:53 UTC
kernel-2.6.35.14-106.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 errata-xmlrpc 2012-01-10 20:17:12 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2012:0010 https://rhn.redhat.com/errata/RHSA-2012-0010.html


Note You need to log in before you can comment on or make changes to this bug.